CURLOPT_SSL_SESSIONID_CACHE(3)

NAME
CURLOPT_SSL_SESSIONID_CACHE - enable/disable use of the SSL session-ID cache

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSL_SESSIONID_CACHE,
                         long enabled);

DESCRIPTION
Pass a long set to 0 to disable libcurl's use of SSL session-ID caching. Set this to 1 to enable it. By default all transfers are done using the cache enabled. While nothing ever should get hurt by attempting to reuse SSL session-IDs, there seem to be or have been broken SSL implementations in the wild that may require you to disable this in order for you to succeed.

DEFAULT
1

PROTOCOLS
All TLS-based

EXAMPLE
TODO

AVAILABILITY
Added in 7.16.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_DNS_CACHE_TIMEOUT(3), CURLOPT_SSLVERSION(3),